System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.MessageHeaderInfo

A message header contains optional metadata that describe a message encapsulated by the class.

A can have zero or more headers that are used as an extension mechanism to pass information in messages that are application-specific. You can use to add message headers to a message by calling the method.

indigo1 provides a number of predefined message headers, as shown in the following table.

Header Name

Description

To

Contains the role that the message is targeting.

Action

Provides a description of how the message should be processed.

FaultTo

Contains the address of the node to which faults should be sent.

From

Contains the address of the node that sent the message.

Request

Indicates whether the message is a request.

MessageID

Contains the unique ID of the message.

RelatesTo

Contains the IDs of messages that are related to this message.

ReplyTo

Contains the address of the node to which a reply should be sent for a request.

Represents the content of a SOAP header.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added.

  If this property is empty, the header is interpreted as targeted for the ultimate recipient of the message.

  Gets or sets the targeted recipient of the message header.

- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` To be added. To be added.

  Creates a header from an object to be serialized using the XmlFormatter.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` `` To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created. The targeted recipient of the message header.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` `` To be added. To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` `` `` To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created. The targeted recipient of the message header. A value that indicates whether the header should be relayed.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` `` `` To be added. To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created. The targeted recipient of the message header.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageHeader `` `` `` `` `` `` `` To be added. To be added. To be added.

  Creates a new message header with the specified data.

  A new object with the specified data.

  The local name of the header XML element. The namespace URI of the header XML element. The content of the header to be created. The targeted recipient of the message header. A value that indicates whether the header should be relayed.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Verifies whether the specified message version is supported.

  true if the specified message version is supported; otherwise, false.

- Property
  4.0.0.0
  System.Boolean To be added.

  A reference parameter corresponds to the <ReferenceParameters> element described in the in the WS-Addressing specification.

  Gets a value that specifies whether this message header contains reference parameters of an endpoint reference.

- Property
  4.0.0.0
  System.Boolean To be added.

  If this property is true and the message receiver cannot interpret the message header, the message is not processed and an exception is thrown. If this property is false, the receiver can ignore the message header and continue processing.

  Gets or sets a value that indicates whether the header must be understood, according to SOAP 1.1/1.2 specification.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Called when the header content is serialized using the specified XML writer.

  An that is used to serialize the header contents.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Called when the start header is serialized using the specified XML writer.

  An that is used to serialize the start header.
- Property
  4.0.0.0
  System.Boolean To be added.

  According to SOAP 1.1 spec, this value is always false.

  Gets a value that indicates whether the header should be relayed.

- Method
  4.0.0.0
  System.String To be added.

  Returns the string representation of this message header.

  The string representation of this message header.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header using the specified XML writer.

  An that is used to serialize the header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header using the specified XML writer.

  An that is used to serialize the header.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header attributes using the specified XML writer.

  An that is used to serialize the header attributes.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the header contents using the specified XML writer.

  An that is used to serialize the header contents.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Serializes the start header using the specified XML writer.

  An that is used to serialize the start header.